/* GCNcrypt - Gamecube AR Crypto Program
 *
 * Copyright notice for this file:
 *  Copyright (C) 2003-2004 Parasyte
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _GCNCRYPT_H_
#define _GCNCRYPT_H_


#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "types.h"
#include "encrypt.h"
#include "decrypt.h"

//title bar text for main window
#define TITLEBAR "GCNcrypt v1.5"

//max text size for edit boxes.
#define TEXTSIZE 32767

#define ISALPHA(a,b) (strchr((a),(b))?1:0)
#define ISHEX(a,b) (strchr((a),(b))?1:0)

//alphanumeric filter for text<->bin conversion
const char *filter = "0123456789ABCDEFGHJKMNPQRTUVWXYZILOS";
const char *hex = "0123456789ABCDEF";


u16 gameid=0;
u8 dogameid=1,region=0;

//win32 stuff
HWND hWindow;
HINSTANCE ghInstance;
HICON iWindow;
HFONT hFont,hNewFont;

#endif //_GCNCRYPT_H_
